## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global pypi_name hatasmota

Name:           python-%{pypi_name}
Version:        0.7.3
Release:        %autorelease
Summary:        Python module to help parse and construct Tasmota MQTT messages

License:        MIT
URL:            https://github.com/emontnemery/hatasmota
Source0:        %{url}/archive/%{version}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

%description
Python module to help parse and construct Tasmota MQTT messages.

%package -n     python3-%{pypi_name}
Summary:        %{summary}

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Python module to help parse and construct Tasmota MQTT messages.

%prep
%autosetup -n %{pypi_name}-%{version}
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.md
%{python3_sitelib}/%{pypi_name}/
%{python3_sitelib}/HATasmota-%{version}-py%{python3_version}.egg-info/

%changelog
* Wed Nov 01 2023 Fabian Affolter <mail@fabian-affolter.ch> - 0.7.3-1
- Update to latest upstream release 0.7.3 (closes rhbz#2158354)

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Tue Jun 13 2023 Python Maint <python-maint@redhat.com> - 0.6.1-3
- Rebuilt for Python 3.12

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Thu Sep 15 2022 Fabian Affolter <mail@fabian-affolter.ch> - 0.6.1-1
- Update to latest upstream release 0.6.1 (closes rhbz#2091520)

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon Jun 13 2022 Python Maint <python-maint@redhat.com> - 0.5.0-2
- Rebuilt for Python 3.11

* Fri May 13 2022 Fabian Affolter <mail@fabian-affolter.ch> - 0.5.0-1
- Update to latest upstream release 0.5.0 (closes rhbz#2078003)

* Thu Mar 03 2022 Fabian Affolter <mail@fabian-affolter.ch> - 0.4.0-1
- Update to latest upstream release 0.4.0 (closes rhbz#2059505)

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Sat Dec 04 2021 Fabian Affolter <mail@fabian-affolter.ch> - 0.3.1-1
- Update to latest upstream release 0.3.1 (closes rhbz#2027659)

* Fri Nov 05 2021 Fabian Affolter <mail@fabian-affolter.ch> - 0.3.0-1
- Update to latest upstream release 0.3.0 (closes rhbz#2018134)

* Wed Oct 20 2021 Fabian Affolter <mail@fabian-affolter.ch> - 0.2.21-1
- Update to latest upstream release 0.2.21 (closes rhbz#2015150)

* Wed Aug 25 2021 Fabian Affolter <mail@fabian-affolter.ch> - 0.2.20-1
- * Wed Aug 25 2021 Fabian Affolter <mail@fabian-affolter.ch> - 0.2.20-1 -
  Update to latest upstream release 0.2.20 (rhbz#1907567)

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.9-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 0.2.9-2
- Rebuilt for Python 3.10

* Tue Feb 16 2021 Fabian Affolter <mail@fabian-affolter.ch> - 0.2.9-1
- * Tue Feb 16 2021 Fabian Affolter <mail@fabian-affolter.ch> - 0.2.9-1 -
  Update to new upstream release 0.2.9 (#1907567)

* Wed Feb 10 2021 Fabian Affolter <mail@fabian-affolter.ch> - 0.2.8-1
- * Wed Feb 10 2021 Fabian Affolter <mail@fabian-affolter.ch> - 0.2.8-1 -
  Update to new upstream release 0.2.8 (#1907567)

* Wed Jan 27 2021 Fabian Affolter <mail@fabian-affolter.ch> - 0.2.7-1
- * Wed Jan 27 2021 Fabian Affolter <mail@fabian-affolter.ch> - 0.2.7-1 -
  Update to new upstream release 0.2.7

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Sat Jan 16 2021 Fabian Affolter <mail@fabian-affolter.ch> - 0.2.5-1
- * Sat Jan 16 2021 Fabian Affolter <mail@fabian-affolter.ch> - 0.2.5-1 -
  Update to new upstream release 0.2.5

* Fri Dec 04 2020 Fabian Affolter <mail@fabian-affolter.ch> - 0.2.2-1
- * Fri Dec 04 2020 Fabian Affolter <mail@fabian-affolter.ch> - 0.2.2-1 -
  Update to new upstream release 0.2.2 (#1899295)

* Wed Dec 02 2020 Fabian Affolter <mail@fabian-affolter.ch> - 0.2.0-1
- * Wed Dec 02 2020 Fabian Affolter <mail@fabian-affolter.ch> - 0.2.0-1 -
  Update to new upstream release 0.2.0 (#1899295)

* Sun Nov 29 2020 Fabian Affolter <mail@fabian-affolter.ch> - 0.1.2-1
- * Sat Nov 28 2020 Fabian Affolter <mail@fabian-affolter.ch> - 0.1.2-1 -
  Update to new upstream release 0.1.2 (#1899295)

* Mon Nov 23 2020 Fabian Affolter <mail@fabian-affolter.ch> - 0.1.0-1
- * Mon Nov 23 2020 Fabian Affolter <mail@fabian-affolter.ch> - 0.1.0-1 -
  Update to new upstream release 0.1.0 (#1899295)

* Wed Nov 18 2020 Fabian Affolter <mail@fabian-affolter.ch> - 0.0.31-1
- * Tue Nov 17 2020 Fabian Affolter <mail@fabian-affolter.ch> - 0.0.31-1 -
  Update to latest upstream release 0.0.31 (#1894704)

* Fri Nov 13 2020 Fabian Affolter <mail@fabian-affolter.ch> - 0.0.30-1
- * Fri Nov 13 2020 Fabian Affolter <mail@fabian-affolter.ch> - 0.0.30-1 -
  Update to latest upstream release 0.0.30 (#1894704)

* Sun Nov 08 2020 Fabian Affolter <mail@fabian-affolter.ch> - 0.0.27-1
- * Sun Nov 08 2020 Fabian Affolter <mail@fabian-affolter.ch> - 0.0.27-1 -
  Update to latest upstream release 0.0.27

* Fri Oct 30 2020 Fabian Affolter <mail@fabian-affolter.ch> - 0.0.26-1
- * Fri Oct 30 2020 Fabian Affolter <mail@fabian-affolter.ch> - 0.0.26-1 -
  Update to latest upstream release 0.0.26 (#1892998)

* Fri Oct 30 2020 Fabian Affolter <mail@fabian-affolter.ch> - 0.0.25-1
- * Fri Oct 30 2020 Fabian Affolter <mail@fabian-affolter.ch> - 0.0.25-1 -
  Update to latest upstream release 0.0.25 (#1892998)

* Wed Oct 28 2020 Fabian Affolter <mail@fabian-affolter.ch> - 0.0.24-1
- * Wed Oct 28 2020 Fabian Affolter <mail@fabian-affolter.ch> - 0.0.24-1 -
  Update to latest upstream release 0.0.24 (#1891925)

* Mon Oct 26 2020 Fabian Affolter <mail@fabian-affolter.ch> - 0.0.23-1
- * Mon Oct 26 2020 Fabian Affolter <mail@fabian-affolter.ch> - 0.0.23-1 -
  Update to latest upstream release 0.0.23 (#1889169)

* Mon Oct 26 2020 Fabian Affolter <mail@fabian-affolter.ch> - 0.0.22-1
- * Mon Oct 26 2020 Fabian Affolter <mail@fabian-affolter.ch> - 0.0.22-1 -
  Update to latest upstream release 0.0.22 (#1889169)

* Mon Oct 19 2020 Fabian Affolter <mail@fabian-affolter.ch> - 0.0.20-1
- * Mon Oct 19 2020 Fabian Affolter <mail@fabian-affolter.ch> - 0.0.20-1 -
  Update to latest upstream release 0.0.20 (#1889169)

* Sun Oct 18 2020 Fabian Affolter <mail@fabian-affolter.ch> - 0.0.18-1
- * Sun Oct 18 2020 Fabian Affolter <mail@fabian-affolter.ch> - 0.0.18-1 -
  Update to latest upstream release 0.0.18 (#1889106)

* Sat Oct 17 2020 Fabian Affolter <mail@fabian-affolter.ch> - 0.0.17-1
- * Sat Oct 17 2020 Fabian Affolter <mail@fabian-affolter.ch> - 0.0.17-1 -
  Update to latest upstream release 0.0.17 (#1888814)

* Fri Oct 16 2020 Fabian Affolter <mail@fabian-affolter.ch> - 0.0.16-1
- * Fri Oct 16 2020 Fabian Affolter <mail@fabian-affolter.ch> - 0.0.16-1 -
  Update to latest upstream release 0.0.16 (#1888814)

* Wed Oct 14 2020 Fabian Affolter <mail@fabian-affolter.ch> - 0.0.15-1
- * Wed Oct 14 2020 Fabian Affolter <mail@fabian-affolter.ch> - 0.0.15-1 -
  Update to latest upstream release 0.0.15

* Wed Oct 14 2020 Fabian Affolter <mail@fabian-affolter.ch> - 0.0.10-1
- * Tue Oct 06 2020 Fabian Affolter <mail@fabian-affolter.ch> - 0.0.10-1 -
  Initial package for Fedora
